PATCH: ARM va_list

Joseph S. Myers joseph@codesourcery.com
Wed Jan 21 23:45:00 GMT 2009


On Mon, 19 Jan 2009, Daniel Jacobowitz wrote:

> On Mon, Jan 19, 2009 at 01:10:57AM +0000, Paul Brook wrote:
> > On Monday 19 January 2009, Mark Mitchell wrote:
> > > Joseph S. Myers wrote:
> > > > Did we reach any actual conclusion as to whether this should go in 4.4 or
> > > > not?
> > >
> > > I think that Paul's opinion of record at present is that we should wait
> > > for some other time when we are breaking ABI compatibility.
> > 
> > Correct, based on the theory that compatibility with previous gcc is more 
> > important than compatibility with third party toolchains.
> > 
> > I'm willing to be outvoted if other people feel differently.
> 
> Since this doesn't affect the ABI of any library included in GCC, I
> think we should fix it sooner rather than later; there will be
> convenient times to break the libstdc++ ABI, but I hope there won't be
> a convenient time to break the C++ ABI.

Does anyone else wish to comment on this either way?  Richard, Nick, as 
the other ARM maintainers, what are your views on doing this ABI change 
now versus waiting for later?

-- 
Joseph S. Myers
joseph@codesourcery.com



More information about the Gcc-patches mailing list